(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('react')) :
  typeof define === 'function' && define.amd ? define(['exports', 'react'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.Example = {}, global.React));
}(this, (function (exports, React) { 'use strict';

  function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

  var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

  var styles$7 = {
    dividerBlock: {
      minWidth: '100%',
      borderCollapse: 'collapse',
      msoTableLspace: '0pt',
      msoTableRspace: '0pt',
      msTextSizeAdjust: '100%',
      WebkitTextSizeAdjust: '100%',
      tableLayout: 'fixed !important'
    },
    dividerBlockInner: {
      minWidth: '100%',
      padding: '12px 18px',
      msoLineHeightRule: 'exactly',
      msTextSizeAdjust: '100%',
      WebkitTextSizeAdjust: '100%'
    },
    dividerContent: {
      minWidth: '100%',
      borderTop: '2px none #EAEAEA',
      borderCollapse: 'collapse',
      msoTableLspace: '0pt',
      msoTableRspace: '0pt',
      msTextSizeAdjust: '100%',
      WebkitTextSizeAdjust: '100%'
    },
    td: {
      msoLineHeightRule: 'exactly',
      msTextSizeAdjust: '100%',
      WebkitTextSizeAdjust: '100%'
    }
  };

  /**
   * Todo: I think this component repeat
   */

  var Divider = function Divider() {
    return /*#__PURE__*/React__default['default'].createElement("table", {
      border: 0,
      cellPadding: 0,
      cellSpacing: 0,
      className: "mcnDividerBlock",
      style: styles$7.dividerBlock
    }, /*#__PURE__*/React__default['default'].createElement("tbody", {
      className: "mcnDividerBlockOuter"
    }, /*#__PURE__*/React__default['default'].createElement("tr", null, /*#__PURE__*/React__default['default'].createElement("td", {
      className: "mcnDividerBlockInner",
      style: styles$7.dividerBlockInner
    }, /*#__PURE__*/React__default['default'].createElement("table", {
      className: "mcnDividerContent",
      border: 0,
      cellPadding: 0,
      cellSpacing: 0,
      style: styles$7.dividerContent
    }, /*#__PURE__*/React__default['default'].createElement("tbody", null, /*#__PURE__*/React__default['default'].createElement("tr", null, /*#__PURE__*/React__default['default'].createElement("td", {
      style: styles$7.td
    }, /*#__PURE__*/React__default['default'].createElement("span", null)))))))));
  };

  var styles$6 = {
    title: {
      textAlign: 'center',
      display: 'block',
      margin: 0,
      padding: 0,
      color: '#111111',
      fontFamily: '"Merriweather Sans", "Helvetica Neue", Helvetica, Arial, sans-serif',
      fontSize: '18px',
      fontStyle: 'normal',
      fontWeight: 'bold',
      lineHeight: '125%',
      letterSpacing: 'normal'
    },
    spanFont: {
      fontFamily: 'trebuchet ms,lucida grande,lucida sans unicode,lucida sans,tahoma,sans-serif'
    },
    spanSize: {
      fontSize: '18px'
    }
  };

  var Heading = function Heading(_ref) {
    var children = _ref.children;
    return /*#__PURE__*/React__default['default'].createElement("h3", {
      className: "mc-toc-title",
      dir: "ltr",
      style: styles$6.title
    }, /*#__PURE__*/React__default['default'].createElement("span", {
      style: styles$6.spanFont
    }, /*#__PURE__*/React__default['default'].createElement("span", {
      style: styles$6.spanSize,
      "data-testid": "headingChildrenTest"
    }, children)));
  };

  var Italic = function Italic(_ref) {
    var children = _ref.children;
    return /*#__PURE__*/React__default['default'].createElement("i", null, children);
  };

  var styles$5 = {
    link: {
      msoLineHeightRule: 'exactly',
      msTextSizeAdjust: '100%',
      WebkitTextSizeAdjust: '100%',
      color: '#111111',
      fontWeight: 'bold',
      textDecoration: 'underline'
    }
  };

  var Link = function Link(_ref) {
    var href = _ref.href,
        children = _ref.children;
    return /*#__PURE__*/React__default['default'].createElement("a", {
      href: href,
      target: "_blank",
      style: styles$5.link,
      "data-testid": "linkPropsTest"
    }, children);
  };

  var List = function List(_ref) {
    var children = _ref.children;
    return /*#__PURE__*/React__default['default'].createElement("ul", {
      dir: "ltr",
      "data-testid": "listProsChildrenTest"
    }, children);
  };

  var styles$4 = {
    title: {
      textAlign: 'center',
      display: 'block',
      margin: 0,
      padding: 0,
      color: '#111111',
      fontFamily: '"Merriweather Sans", "Helvetica Neue", Helvetica, Arial, sans-serif',
      fontSize: '26px',
      fontStyle: 'normal',
      fontWeight: 'bold',
      lineHeight: '125%',
      letterSpacing: 'normal'
    },
    spanFont: {
      fontFamily: 'trebuchet ms,lucida grande,lucida sans unicode,lucida sans,tahoma,sans-serif'
    },
    spanSize: {
      fontSize: '30px'
    }
  };

  var MainTitle = function MainTitle(_ref) {
    var children = _ref.children;
    return /*#__PURE__*/React__default['default'].createElement("h1", {
      className: "mc-toc-title",
      dir: "ltr",
      style: styles$4.title
    }, /*#__PURE__*/React__default['default'].createElement("span", {
      style: styles$4.spanFont
    }, /*#__PURE__*/React__default['default'].createElement("span", {
      style: styles$4.spanSize,
      "data-testid": "mainTitleChildrenTest"
    }, children)));
  };

  var styles$3 = {
    ltr: {
      textAlign: 'justify'
    },
    spanSize: {
      fontSize: '16px'
    },
    spanFont: {
      fontFamily: 'trebuchet ms,lucida grande,lucida sans unicode,lucida sans,tahoma,sans-serif'
    }
  };

  var Paragraph = function Paragraph(_ref) {
    var children = _ref.children;
    return /*#__PURE__*/React__default['default'].createElement("div", {
      dir: "ltr",
      style: styles$3.ltr
    }, /*#__PURE__*/React__default['default'].createElement("span", {
      style: styles$3.spanFont
    }, /*#__PURE__*/React__default['default'].createElement("span", {
      style: styles$3.spanSize,
      "data-testid": "paragraphChildrenTest"
    }, children)));
  };

  var styles$2 = {
    div: {
      textAlign: 'center'
    },
    span1: {
      fontSize: '16px'
    },
    span2: {
      fontFamily: 'trebuchet ms,lucida grande,lucida sans unicode,lucida sans,tahoma,sans-serif'
    }
  };

  var Separator = function Separator() {
    return /*#__PURE__*/React__default['default'].createElement("div", {
      dir: "ltr",
      style: styles$2.div
    }, /*#__PURE__*/React__default['default'].createElement("span", {
      style: styles$2.span1
    }, /*#__PURE__*/React__default['default'].createElement("span", {
      style: styles$2.span2
    }, /*#__PURE__*/React__default['default'].createElement("em", null, "***"))));
  };

  var styles$1 = {
    strong: {
      fontWeight: 'bolder'
    }
  };

  var Strong = function Strong(_ref) {
    var children = _ref.children;
    return /*#__PURE__*/React__default['default'].createElement("strong", {
      style: styles$1.strong,
      "data-testid": "strongChildrenTest"
    }, children);
  };

  var styles = {
    ltr: {
      textAlign: 'left',
      lineHeight: '150%',
      margin: '10px 0',
      padding: 0,
      msoLineHeightRule: 'exactly',
      msTextSizeAdjust: '100%',
      WebkitTextSizeAdjust: '100%',
      color: '#111111',
      fontFamily: '"Source Sans Pro", "Helvetica Neue", Helvetica, Arial, sans-serif',
      fontSize: '18px'
    },
    spanSize: {
      fontSize: '17px'
    },
    spanFont: {
      fontFamily: 'trebuchet ms,lucida grande,lucida sans unicode,lucida sans,tahoma,sans-serif'
    }
  };

  var SubTitle = function SubTitle(_ref) {
    var children = _ref.children;
    return /*#__PURE__*/React__default['default'].createElement("p", {
      dir: "ltr",
      style: styles.ltr
    }, /*#__PURE__*/React__default['default'].createElement("span", {
      style: styles.spanFont
    }, /*#__PURE__*/React__default['default'].createElement("span", {
      style: styles.spanSize
    }, /*#__PURE__*/React__default['default'].createElement(Strong, null, children))));
  };

  exports.Divider = Divider;
  exports.Heading = Heading;
  exports.Italic = Italic;
  exports.Link = Link;
  exports.List = List;
  exports.MainTitle = MainTitle;
  exports.Paragraph = Paragraph;
  exports.Separator = Separator;
  exports.Strong = Strong;
  exports.Subtitle = SubTitle;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
